package com.bzd.system.service.kc.bb;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 零售报表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcBbRetailsalesService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcBbRetailsales(PageData pd)throws Exception {
        return daoSupport.update("SKcBbRetailsalesMapper.addSKcBbRetailsales", pd);
    }

    public List<PageData> findSKcBbRetailsalesList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcBbRetailsalesMapper.selectSKcBbRetailsalesList", pd);
    }

    public Integer SKcBbRetailsalesRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcBbRetailsalesMapper.SKcBbRetailsalesRemove", pd);
    }


    public Integer updateSKcBbRetailsales(PageData pd)throws Exception {
        return daoSupport.update("SKcBbRetailsalesMapper.updateSKcBbRetailsales", pd);
    }

}
